Loading...
Searching...
No Matches
pqxx::forbidden_conversion< TYPE > Struct Template Reference

String traits for a forbidden type conversion. More...

## Static Public Member Functions

static zview | to_buf (char *, char *, TYPE const &)
static char * | into_buf (char *, char *, TYPE const &)
static TYPE | from_string (std::string_view)
static std::size_t | size_buffer (TYPE const &) noexcept

## Static Public Attributes

static constexpr bool | converts_to_string {false}
static constexpr bool | converts_from_string {false}

## Detailed Description

template<typename TYPE>
struct pqxx::forbidden_conversion< TYPE >

String traits for a forbidden type conversion.

If you have a C++ type for which you explicitly wish to forbid SQL conversion, you can derive a pqxx::string_traits specialisation for that type from this struct. Any attempt to convert the type will then fail to build, and produce an error mentioning oops_forbidden_conversion.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/strconv.hxx